import * as React from "react";
import { XGrid, ColDef, useApiRef } from "@material-ui/x-grid";
import { useDemoData } from "@material-ui/x-grid-data-generator";

export default function XGridDemo() {
  const { data } = useDemoData({
    dataSet: "Commodity",
    rowLength: 100000
  });

  const api = useApiRef();

  const columns: ColDef[] = data.columns;
  return (
    <div style={{ height: 520, width: "100%" }}>
      <XGrid
        apiRef={api}
        rows={data.rows}
        columns={columns}
        loading={data.rows.length === 0}
        rowHeight={38}
        checkboxSelection
      />
    </div>
  );
}
